<div > 
  <form [formGroup]='loginForm' >
    email:
      <input  formControlName='email' 
              type="text" 
              class=" nav" 
              placeholder="Enter Email" />
              
      <div *ngIf="loginForm.controls['email'].invalid && (loginForm .controls['email'].dirty || loginForm.controls['email'].touched)">
          <p style="color: red;">Email is required</p>
      </div>
      <br><br>
      password:
      <input  formControlName='password' 
              type="password"
              class="form-control div" 
              placeholder="Enter Password" />
      <div  *ngIf=" !loginForm.controls['password'].valid && (loginForm .controls['password'].dirty || loginForm.controls['password'].touched)">
          <p style="color: red;">Password is required and should less than 10 characters</p>
      </div>

      <div>
        <p>
        <button type="submit" [disabled]='loginForm.invalid' style="margin-right:10px;">submit</button>
        <button [disabled]='loginForm.invalid'(click)=cancel()>cancel</button>
        </p>
      </div>
  </form>
</div>
<router-outlet></router-outlet>